#include <iostream>

using namespace std;
long long brojCifara(long long a){
    long long rez=0;
    long long kop=a;
    while(kop>0){
        kop/=10;
        rez++;
    }
    return rez;

}
long long stependeset(long long a){
    long long rez=1;
    for(long long i=0;i<a;i++){
        rez*=10;
    }
    return rez;
}

long long rezultat(long long A){
    long long rez=0;
    while(A>0){
        long long br=brojCifara(A)-1;
        long long step=stependeset(br);
        if(5*step<=A){
            A-=5*step;
            rez++;
        }
        else if(2*step<=A){
            A-=2*step;
            rez++;
        }
        else{
            A-=step;
            rez++;
        }
    }
    return rez;

}
int main()
{
    long long A;
    cin>>A;
    long long resenje=rezultat(A);
    cout<<resenje<<endl;
    return 0;
}